
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Summary:         Analyzes C files charting control flow within the program
Name:            cflow
Version:         1.5
%if %{p7build}
Release:         1.p7
%else
Release:         1
%endif
License:         GPLv2+
Group:           Development/Languages
URL:             http://www.gnu.org/software/cflow/
Source0:         http://ftp.gnu.org/gnu/cflow/%{name}-%{version}.tar.bz2
Source1:         http://ftp.gnu.org/gnu/cflow/%{name}-%{version}.tar.bz2.sig
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        info

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
GNU cflow analyzes a collection of C source files and prints a graph,
charting control flow within the program.

GNU cflow is able to produce both direct and inverted flowgraphs for C
sources. Optionally a cross-reference listing can be generated. Two
output formats are implemented: POSIX and GNU (extended).


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir}

make %{?_smp_flags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*.info*
/usr/bin/*


%changelog
* Tue May 17 2016 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Wed Oct 12 2011 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.1 and higher
